Skip to main content

List all lists

Returns a list of your lists. The lists are returned sorted by creation date, with the most recently created boards appearing first.

Parameters

title
string
The title to search for.
expand
array
Array of relationships to expand. Supported values: board.

Returns

Return a paginated response that contains an array of up to the specified limit of list.

get
/api/boards/{id}/lists
curl https://{workspace}.kitchen.co/api/boards/{id}/lists \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": {
"board": "tskb_716ac736726a47f2f243c60c",
"created_at": "2024-03-21T07:45:14+00:00",
"id": "tskl_effc45e91b837cff9b5da13a",
"title": "The list title",
"updated_at": "2024-03-21T07:45:14+00:00"
},
"links": {
"first": "/api/boards/tskb_716ac736726a47f2f243c60c/lists?page=1",
"last": "/api/boards/tskb_716ac736726a47f2f243c60c/lists?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/boards?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/boards/tskb_716ac736726a47f2f243c60c/lists",
"per_page": 20,
"to": 1,
"total": 1
}
}